Subject: bug#23606: 25.1.50; "localhost" vs. "127.0.0.1"

From: Achim Gratz <[email-masked]>
Date: Tue, 24 May 2016 19:20:23 +0200

Ken Brown writes:
> The test echo-server-nowait in test/lisp/net/network-stream-tests.el
> fails on Cygwin, but it passes if I create the client process using
> "127.0.0.1" instead of "localhost":

This could be a case where it makes a difference if the IPv6 (::1) or
IPv4 address is returned (first) for localhost.  IIRC, Windows and
up-to-date Linux prefer IPv6 by default.  If so, it would likely be
better to fix the parts of the code that assumes return of IPv4
addresses only.

Regards,
Achim.
-- 
+<[Q+ Matrix-12 WAVE#46+305 Neuron microQkb Andromeda XTk Blofeld]>+

Wavetables for the Waldorf Blofeld:
http://Synth.Stromeko.net/Downloads.html#BlofeldUserWavetables